OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Unit Class Reference

Implements a select type unit (NamedUnit or DerivedUnit)
.

`#include <StepBasic_Unit.hxx>`

Inheritance diagram for StepBasic_Unit:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_Unit ()
| Creates empty object .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a type of Unit Entity 1 -> NamedUnit 2 -> DerivedUnit .
Standard_EXPORT Handle_StepBasic_NamedUnit | NamedUnit () const
| returns Value as a NamedUnit (Null if another type)
Standard_EXPORT Handle_StepBasic_DerivedUnit | DerivedUnit () const
| returns Value as a DerivedUnit (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Unit::StepBasic_Unit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_Unit::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepBasic_DerivedUnit StepBasic_Unit::DerivedUnit | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_NamedUnit StepBasic_Unit::NamedUnit | ( |  | ) | const

void StepBasic_Unit::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_Unit::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_Unit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepBasic_Unit.hxx